USE [PLSSUG_DEMO1]
GO

IF NOT EXISTS (SELECT * FROM sys.schemas WHERE name = N'mp3')
EXEC sys.sp_executesql N'CREATE SCHEMA [mp3]'
GO

IF OBJECT_ID(N'[mp3].[files]', N'U') IS NOT NULL
	EXEC sp_executesql N'DROP TABLE mp3.files';

CREATE TABLE mp3.files (
	fileId		INT IDENTITY(1, 1) NOT NULL,
	mp3FilePath	VARCHAR(255),
	mp3File		VARBINARY(MAX)
)
GO

SELECT *
FROM mp3.files

USE [PLSSUG_DEMO2];
GO

IF NOT EXISTS (SELECT * FROM sys.schemas WHERE name = N'mp3')
EXEC sys.sp_executesql N'CREATE SCHEMA [mp3]'
GO

IF OBJECT_ID(N'[mp3].[filesStream]', N'U') IS NOT NULL
	EXEC sp_executesql N'DROP TABLE mp3.filesStream';

CREATE TABLE mp3.filesStream (
	fileId		INT IDENTITY(1, 1) NOT NULL,
	fileGUID	UNIQUEIDENTIFIER UNIQUE NOT NULL ROWGUIDCOL DEFAULT NEWSEQUENTIALID(),
	mp3FilePath	VARCHAR(255),
	mp3File		VARBINARY(MAX) FILESTREAM
)
GO